Package com.io7m.cardant.protocol.api

# Interface CAProtocolMessageValidatorType<T,R>

Type Parameters:
  `T` - The type of core messages
  `R` - The type of wire messages

All Known Implementing Classes:
  `CAI1Validation`, `CAIUVEventUpdated`, `CAUVAttachment`, `CAUVAttachmentKey`, `CAUVAuditEvent`, `CAUVAuditSearchParameters`, `CAUVCommandAuditSearchBegin`, `CAUVCommandAuditSearchNext`, `CAUVCommandAuditSearchPrevious`, `CAUVCommandFileGet`, `CAUVCommandFilePut`, `CAUVCommandFileRemove`, `CAUVCommandFileSearchBegin`, `CAUVCommandFileSearchNext`, `CAUVCommandFileSearchPrevious`, `CAUVCommandItemAttachmentAdd`, `CAUVCommandItemAttachmentRemove`, `CAUVCommandItemCreate`, `CAUVCommandItemGet`, `CAUVCommandItemLocationsList`, `CAUVCommandItemMetadataPut`, `CAUVCommandItemMetadataRemove`, `CAUVCommandItemReposit`, `CAUVCommandItemSearchBegin`, `CAUVCommandItemSearchNext`, `CAUVCommandItemSearchPrevious`, `CAUVCommandItemSetName`, `CAUVCommandItemsRemove`, `CAUVCommandItemTypesAssign`, `CAUVCommandItemTypesRevoke`, `CAUVCommandLocationAttachmentAdd`, `CAUVCommandLocationAttachmentRemove`, `CAUVCommandLocationGet`, `CAUVCommandLocationList`, `CAUVCommandLocationMetadataPut`, `CAUVCommandLocationMetadataRemove`, `CAUVCommandLocationPut`, `CAUVCommandLocationTypesAssign`, `CAUVCommandLocationTypesRevoke`, `CAUVCommandLogin`, `CAUVCommandRolesAssign`, `CAUVCommandRolesGet`, `CAUVCommandRolesRevoke`, `CAUVCommandTypePackageGetText`, `CAUVCommandTypePackageInstall`, `CAUVCommandTypePackageSearchBegin`, `CAUVCommandTypePackageSearchNext`, `CAUVCommandTypePackageSearchPrevious`, `CAUVCommandTypePackageUninstall`, `CAUVCommandTypePackageUpgrade`, `CAUVCommandTypeRecordGet`, `CAUVCommandTypeRecordSearchBegin`, `CAUVCommandTypeRecordSearchNext`, `CAUVCommandTypeRecordSearchPrevious`, `CAUVCommandTypeScalarGet`, `CAUVCommandTypeScalarSearchBegin`, `CAUVCommandTypeScalarSearchNext`, `CAUVCommandTypeScalarSearchPrevious`, `CAUVComparisonsExact`, `CAUVComparisonsFuzzy`, `CAUVComparisonsSet`, `CAUVDottedNames`, `CAUVError`, `CAUVFile`, `CAUVFileColumn`, `CAUVFileColumnOrdering`, `CAUVFileSearchParameters`, `CAUVId`, `CAUVItem`, `CAUVItemColumn`, `CAUVItemColumnOrdering`, `CAUVItemLocation`, `CAUVItemLocationMatch`, `CAUVItemLocations`, `CAUVItemReposit`, `CAUVItemSearchParameters`, `CAUVItemSerials`, `CAUVItemSummary`, `CAUVLocation`, `CAUVLocationSummaries`, `CAUVLocationSummary`, `CAUVMessage`, `CAUVMetadata`, `CAUVMetadataElementMatch`, `CAUVMetadataValueMatch`, `CAUVResponseAuditSearch`, `CAUVResponseBlame`, `CAUVResponseError`, `CAUVResponseFileGet`, `CAUVResponseFilePut`, `CAUVResponseFileRemove`, `CAUVResponseFileSearch`, `CAUVResponseItemAttachmentAdd`, `CAUVResponseItemAttachmentRemove`, `CAUVResponseItemCreate`, `CAUVResponseItemGet`, `CAUVResponseItemLocationList`, `CAUVResponseItemMetadataPut`, `CAUVResponseItemMetadataRemove`, `CAUVResponseItemReposit`, `CAUVResponseItemSearch`, `CAUVResponseItemSetName`, `CAUVResponseItemsRemove`, `CAUVResponseItemTypesAssign`, `CAUVResponseItemTypesRevoke`, `CAUVResponseLocationAttachmentAdd`, `CAUVResponseLocationAttachmentRemove`, `CAUVResponseLocationGet`, `CAUVResponseLocationList`, `CAUVResponseLocationMetadataPut`, `CAUVResponseLocationMetadataRemove`, `CAUVResponseLocationPut`, `CAUVResponseLocationTypesAssign`, `CAUVResponseLocationTypesRevoke`, `CAUVResponseLogin`, `CAUVResponseRolesAssign`, `CAUVResponseRolesGet`, `CAUVResponseRolesRevoke`, `CAUVResponseTypePackageGetText`, `CAUVResponseTypePackageInstall`, `CAUVResponseTypePackageSearch`, `CAUVResponseTypePackageUninstall`, `CAUVResponseTypePackageUpgrade`, `CAUVResponseTypeRecordGet`, `CAUVResponseTypeRecordSearch`, `CAUVResponseTypeScalarGet`, `CAUVResponseTypeScalarSearch`, `CAUVSizeRange`, `CAUVStrings`, `CAUVTimeRange`, `CAUVTypeField`, `CAUVTypePackageIdentifier`, `CAUVTypePackageSearchParameters`, `CAUVTypePackageSummary`, `CAUVTypePackageTypeRemovalBehavior`, `CAUVTypePackageUninstall`, `CAUVTypePackageVersionBehavior`, `CAUVTypeRecord`, `CAUVTypeRecordSearchParameters`, `CAUVTypeRecordSummary`, `CAUVTypeScalar`, `CAUVTypeScalarSearchParameters`, `CAUVVersion`

public interface CAProtocolMessageValidatorType<T,R>
The type of validators that convert between core messages and "wire" (versioned) messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `convertFromWire(R message)`
  Convert a wire message to a core message.
  `R`
  `convertToWire(T message)`
  Convert a core message to a wire message.

- ## Method Details

  - ### convertToWire

    R convertToWire(T message) throws CAProtocolException
    Convert a core message to a wire message.
    Parameters:
      `message` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    T convertFromWire(R message) throws CAProtocolException
    Convert a wire message to a core message.
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors